#ifndef TGAPPMAINFRAME_H
#define TGAPPMAINFRAME_H

#include <TQObject.h>
#include <RQ_OBJECT.h>
#include <TLorentzVector.h>
#include <iostream>
#include <TNtuple.h>
#include <TH1F.h>
#include <TH2F.h>
#include <TF1.h>
#include <TCutG.h>
#include <TROOT.h>
#include <TSystem.h>
#include <TFile.h>
#include <TCanvas.h>
#include <TStyle.h>

#include "TGDockableFrame.h"
#include "TGMenu.h"
#include "TGMdiDecorFrame.h"
#include "TG3DLine.h"
#include "TGMdiFrame.h"
#include "TGMdiMainFrame.h"
#include "TGuiBldHintsButton.h"
#include "TGMdiMenu.h"
#include "TGColorDialog.h"
#include "TGListBox.h"
#include "TGNumberEntry.h"
#include "TGScrollBar.h"
#include "TGuiBldHintsEditor.h"
#include "TGFrame.h"
#include "TGFileDialog.h"
#include "TGShutter.h"
#include "TGButtonGroup.h"
#include "TGCanvas.h"
#include "TGFSContainer.h"
#include "TGButton.h"
#include "TGuiBldEditor.h"
#include "TGFSComboBox.h"
#include "TGLabel.h"
#include "TGProgressBar.h"
#include "TGMsgBox.h"
#include "TRootGuiBuilder.h"
#include "TGTab.h"
#include "TGListView.h"
#include "TGSplitter.h"
#include "TGStatusBar.h"
#include "TGToolTip.h"
#include "TGToolBar.h"
#include "TRootEmbeddedCanvas.h"
#include "TCanvas.h"
#include "TGuiBldDragManager.h"
#include "Riostream.h"
#include "TCutG.h"

#include "TDatime.h"
#include "TH2F.h"
#include "TH1F.h"
#include "TAxis.h"
#include "TNtuple.h"
#include "TImage.h"
#include "TASImage.h"
#include "TRotation.h"
#include "TVector3.h"
#include "TFile.h"
#include "fstream"
#include "iostream"
#include "iomanip"
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

class TList;
class TGWindow;
class TGMainFrame;
class TRootEmbeddedCanvas;
class TNtuple;
class TFile;
class TH1F;
class TH2F;
class TF1;
class TLorentzVector;

class TGAppMainFrame{
    RQ_OBJECT("TGAppMainFrame")
 public:

    TGAppMainFrame(const TGWindow *p, UInt_t w, UInt_t h);
    ~TGAppMainFrame();
    void HandleMenu(Int_t id);
    void InitMenu();
    void InitMenuPlot();
    void InitPlot();
    void InitTGMDI(); 
    Bool_t CloseWindow();
    void HandleCheckButton1();
    void HandleCheckButton2();
    void HandleCheckButton3();
    void HandleCheckButton4();
    void HandleCheckButtonRotate();
    void HandleCheckButtonCut();
    void HandleCheckButtonBin();
    void AddShutterItem1(const char *name);
    void AddShutterItem2(const char *name);
    
    
    TList               *fCleanup;
    TGMainFrame     *fMain;
    TGMdiMainFrame  *fMainFrame;
    TGMdiMenuBar    *fMenuBar;
    TGMdiMenuBar    *fMenuBar_plot;
    TGLayoutHints   *fMenuBarItemLayout;
    TGLayoutHints   *fMenuBarItemLayout_plot;
    TGLayoutHints   *fLayout;
    TGPopupMenu     *fMenuFile, *fMenuConv, *fMenuWindow, *fMenuHelp;
    TGPopupMenu     *fMenuFile_plot, *fMenuAnal_plot;
    TGFont *ufont;         // will reflect user font changes
    TGGC   *uGC;           // will reflect user GC changes
    ULong_t ucolor;        // will reflect user color changes
    TGNumberEntry        *fNumericEntries[13];
    TGLabel              *fLabel[13];
    TGCheckButton * fCheckButton_rotate;
    TGCheckButton * fCheckButton_cut;
    TGCheckButton * fCheckButton_bin;
//  TGMdiFrame ** plot;
    TGMdiFrame * plot_alldata;
    TRootEmbeddedCanvas ** fRootEmbeddedCanvas;
    TRootEmbeddedCanvas * fRootEmbeddedCanvas_alldata;
    TGStatusBar * fSStatusBar;
    GCValues_t valButton;
    Int_t wfRootEmbeddedCanvas;
    
    // TGMainFrame *fMainFrame;
    TGNumberEntry * fNumberEntry3916;
    TGNumberEntry * fNumberEntry_flagcut;
    TGNumberEntry * fNumberEntry_frame;
    TGNumberEntry * fNumberEntry_prepix;
//  TGHProgressBar *fHProgressBar3920;
    TGCheckButton * fCheckButtonClusterize;
    TGCheckButton * fCheckButton3912;
    TGCheckButton * fCheckButton3913;
    TGCheckButton * fCheckButton_flag;
    TGCompositeFrame *fCompositeFrame3911;
    TGVerticalFrame *fMainFrame3910_0;
    TGHorizontalFrame *fMainFrame3910_01;
    TGVerticalFrame *fMainFrame3910_1;
    TGVerticalFrame *fMainFrame3910_2;
    TGVerticalFrame *fMainFrame3910_3;
    TGTextButton *fTextButton3925_0;
    TGTextButton *fTextButton3926;
    
    TGShutter        *fShutter;
    TGMdiFrame * tgmdiFrame;
        

    TCanvas * c_alldata;
    TCanvas * c_distcut;

};

#endif
